{% extends 'base.html.twig' %}

{% block title %}Task{% endblock %}

{% block body %}
    <h1>Task</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ task.id }}</td>
            </tr>
            <tr>
                <th>Title</th>
                <td>{{ task.title }}</td>
            </tr>
            <tr>
                <th>Description</th>
                <td>{{ task.description }}</td>
            </tr>
            <tr>
                <th>DueDate</th>
                <td>{{ task.dueDate ? task.dueDate|date('Y-m-d H:i:s') : '' }}</td>
            </tr>
            <tr>
                <th>IsCompleted</th>
                <td>{{ task.isCompleted ? 'Yes' : 'No' }}</td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('app_task_index') }}">back to list</a>

    <a href="{{ path('app_task_edit', {'uuid': task.taskUuid}) }}">edit</a>

    {{ include('task/_delete_form.html.twig') }}
{% endblock %}
